<html>
  <head>
    <title>Arrays 6</title>
    <script>
      function execute() {
        const arr = input.value.split(',').map(x => +x);
        const temp = arr.reduce((acc, cur, idx) =>
          cur in acc ? ({ ...acc, [cur]: acc[cur] + 1}) : ({ ...acc, [cur]: 1 }), {}
        );
        let maxCount = temp[arr[0]], maxVal = arr[0];
        for (let key in temp) {
          if (temp[key] > maxCount || (temp[key] === maxCount && key > maxVal)) {
            maxVal = key;
            maxCount = temp[key];
          }
        }
        const output = `${maxVal} (${maxCount} times)`;
        result.innerHTML = output;
      }
    </script>
  </head>
  <body>
    <p>Sequence [,]: <input id="input" /></p>
    <button onclick="execute()">Execute</button>
    <div id="result"></div>
  </body>
</html>
